Backend: Open-Source Fixedpoint Model-Checker version 2020 
Protocol: AmendedNSCK
Types:
[(Purpose,["purposeNB"]),(Agent False False,["A","B","s"]),(Number,["NA","NB","NB0"]),(SymmetricKey,["KAB"]),(Function,["sk","pre"])]
section rules:
step rule_0:
iknows(crypt(K,M));
iknows(inv(K))

=>
iknows(M)

step rule_1:
iknows(crypt(inv(K),M));
iknows(K)

=>
iknows(M)

step rule_2:
iknows(scrypt(K,M));
iknows(K)

=>
iknows(M)

step rule_3:
iknows(pair(M1,M2))

=>
iknows(M1);
iknows(M2)

step rule_4:
secret(M,Agent (honest a));
iknows(M)

=>
attack(pair(secrecy,M))

step rule_5:
request(A,B,Purpose (purposeNB0),M,(SID sid))
 | B/=Agent (dishonest i);
M/=Nonce (absNB0(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_6:
request(A,B,Purpose (purposeNA),M,(SID sid))
 | B/=Agent (dishonest i);
M/=Nonce (absNA(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_7:
request(A,B,Purpose (purposeKAB),M,(SID sid))
 | B/=Agent (dishonest i);
M/=SymKey (absKAB(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_8:
request(A,B,Purpose (purposeNB),M,(SID sid))
 | B/=Agent (dishonest i);
M/=Nonce (absNB(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_9:
State (rA,[Agent (A),Step 0,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),(SID sid)])

=>
State (rA,[Agent (A),Step 1,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),(SID sid)]);
iknows(Agent (A))

step rule_10:
State (rB,[Agent (B),Step 0,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),(SID sid)]);
iknows(Agent (A))

=>
State (rB,[Agent (B),Step 1,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),Nonce (absNB0(pair(Agent (B),Agent (A)))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Agent (A),Nonce (absNB0(pair(Agent (B),Agent (A)))))),(SID sid)]);
iknows(scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Agent (A),Nonce (absNB0(pair(Agent (B),Agent (A)))))))

step rule_11:
State (rA,[Agent (A),Step 1,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),(SID sid)]);
iknows(Agent (dishonest i))

=>
State (rA,[Agent (A),Step 2,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (dishonest i),Nonce (absNA(pair(Agent (A),Agent (B)))),pair(Agent (A),pair(Agent (B),pair(Nonce (absNA(pair(Agent (A),Agent (B)))),Agent (dishonest i)))),(SID sid)]);
iknows(pair(Agent (A),pair(Agent (B),pair(Nonce (absNA(pair(Agent (A),Agent (B)))),Agent (dishonest i)))))

step rule_12:
State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (B),Agent (honest a)))),SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (A),(SID sid)]);
iknows(Agent (A));
iknows(Agent (B));
iknows(Nonce (NA));
iknows(scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Agent (A),Nonce (NB0))))

=>
State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (B),Agent (honest a)))),SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (A),Nonce (NB0),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Agent (A),Nonce (NB0))),Nonce (NA),pair(Agent (A),pair(Agent (B),pair(Nonce (NA),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Agent (A),Nonce (NB0)))))),SymKey (absKAB(pair(Agent (B),Agent (A)))),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),pair(SymKey (absKAB(pair(Agent (B),Agent (A)))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (B),Agent (A)))),pair(Nonce (NB0),Agent (A)))))))),(SID sid)]);
iknows(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),pair(SymKey (absKAB(pair(Agent (B),Agent (A)))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (B),Agent (A)))),pair(Nonce (NB0),Agent (A)))))))))

step rule_13:
State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (B),Agent (honest a)))),SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (A),(SID sid)]);
iknows(Agent (A));
iknows(Agent (B));
iknows(Nonce (NA));
iknows(SymKey (sk(pair(Agent (B),Agent (honest a)))));
iknows(Nonce (NB0))

=>
State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (B),Agent (honest a)))),SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (A),Nonce (NB0),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Agent (A),Nonce (NB0))),Nonce (NA),pair(Agent (A),pair(Agent (B),pair(Nonce (NA),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Agent (A),Nonce (NB0)))))),SymKey (absKAB(pair(Agent (B),Agent (A)))),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),pair(SymKey (absKAB(pair(Agent (B),Agent (A)))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (B),Agent (A)))),pair(Nonce (NB0),Agent (A)))))))),(SID sid)]);
iknows(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),pair(SymKey (absKAB(pair(Agent (B),Agent (A)))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (B),Agent (A)))),pair(Nonce (NB0),Agent (A)))))))))

step rule_14:
State (rA,[Agent (A),Step 2,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (dishonest i),Nonce (NA),pair(Agent (A),pair(Agent (B),pair(Nonce (NA),Agent (dishonest i)))),(SID sid)]);
iknows(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),pair(SymKey (KAB),Agent (dishonest i))))))

=>
State (rA,[Agent (A),Step 3,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (dishonest i),Nonce (NA),pair(Agent (A),pair(Agent (B),pair(Nonce (NA),Agent (dishonest i)))),SymKey (KAB),Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),pair(SymKey (KAB),Agent (dishonest i))))),(SID sid)]);
iknows(Agent (dishonest i))

step rule_15:
State (rA,[Agent (A),Step 2,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (dishonest i),Nonce (NA),pair(Agent (A),pair(Agent (B),pair(Nonce (NA),Agent (dishonest i)))),(SID sid)]);
iknows(SymKey (sk(pair(Agent (A),Agent (honest a)))));
iknows(Nonce (NA));
iknows(Agent (B));
iknows(SymKey (KAB));
iknows(Agent (dishonest i))

=>
State (rA,[Agent (A),Step 3,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (dishonest i),Nonce (NA),pair(Agent (A),pair(Agent (B),pair(Nonce (NA),Agent (dishonest i)))),SymKey (KAB),Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),pair(SymKey (KAB),Agent (dishonest i))))),(SID sid)]);
iknows(Agent (dishonest i))

step rule_16:
State (rB,[Agent (B),Step 1,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),Nonce (NB0),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Agent (A),Nonce (NB0))),(SID sid)]);
iknows(scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB0),Agent (A)))))

=>
secret(Nonce (absNB(pair(Agent (B),Agent (A)))),Agent (A));
witness(Agent (B),Agent (A),Purpose (pABNB),Nonce (absNB(pair(Agent (B),Agent (A)))));
State (rB,[Agent (B),Step 2,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),Nonce (NB0),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Agent (A),Nonce (NB0))),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB0),Agent (A)))),Nonce (absNB(pair(Agent (B),Agent (A)))),scrypt(SymKey (KAB),Nonce (absNB(pair(Agent (B),Agent (A))))),(SID sid)]);
iknows(scrypt(SymKey (KAB),Nonce (absNB(pair(Agent (B),Agent (A))))))

step rule_17:
State (rB,[Agent (B),Step 1,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),Nonce (NB0),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Agent (A),Nonce (NB0))),(SID sid)]);
iknows(SymKey (sk(pair(Agent (B),Agent (honest a)))));
iknows(SymKey (KAB));
iknows(Nonce (NB0));
iknows(Agent (A))

=>
secret(Nonce (absNB(pair(Agent (B),Agent (A)))),Agent (A));
witness(Agent (B),Agent (A),Purpose (pABNB),Nonce (absNB(pair(Agent (B),Agent (A)))));
State (rB,[Agent (B),Step 2,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),Nonce (NB0),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Agent (A),Nonce (NB0))),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB0),Agent (A)))),Nonce (absNB(pair(Agent (B),Agent (A)))),scrypt(SymKey (KAB),Nonce (absNB(pair(Agent (B),Agent (A))))),(SID sid)]);
iknows(scrypt(SymKey (KAB),Nonce (absNB(pair(Agent (B),Agent (A))))))

step rule_18:
State (rA,[Agent (A),Step 3,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (dishonest i),Nonce (NA),pair(Agent (A),pair(Agent (B),pair(Nonce (NA),Agent (dishonest i)))),SymKey (KAB),Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),pair(SymKey (KAB),Agent (dishonest i))))),(SID sid)]);
iknows(scrypt(SymKey (KAB),Nonce (NB)))

=>
request(Agent (A),Agent (B),Purpose (pABNB),Nonce (NB),(SID sid));
State (rA,[Agent (A),Step 4,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (dishonest i),Nonce (NA),pair(Agent (A),pair(Agent (B),pair(Nonce (NA),Agent (dishonest i)))),SymKey (KAB),Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),pair(SymKey (KAB),Agent (dishonest i))))),Nonce (NB),scrypt(SymKey (KAB),Nonce (NB)),scrypt(SymKey (KAB),pre(Nonce (NB))),(SID sid)]);
iknows(scrypt(SymKey (KAB),pre(Nonce (NB))))

step rule_19:
State (rA,[Agent (A),Step 3,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (dishonest i),Nonce (NA),pair(Agent (A),pair(Agent (B),pair(Nonce (NA),Agent (dishonest i)))),SymKey (KAB),Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),pair(SymKey (KAB),Agent (dishonest i))))),(SID sid)]);
iknows(SymKey (KAB));
iknows(Nonce (NB))

=>
request(Agent (A),Agent (B),Purpose (pABNB),Nonce (NB),(SID sid));
State (rA,[Agent (A),Step 4,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (dishonest i),Nonce (NA),pair(Agent (A),pair(Agent (B),pair(Nonce (NA),Agent (dishonest i)))),SymKey (KAB),Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),pair(SymKey (KAB),Agent (dishonest i))))),Nonce (NB),scrypt(SymKey (KAB),Nonce (NB)),scrypt(SymKey (KAB),pre(Nonce (NB))),(SID sid)]);
iknows(scrypt(SymKey (KAB),pre(Nonce (NB))))

step rule_20:
State (rB,[Agent (B),Step 2,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),Nonce (NB0),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Agent (A),Nonce (NB0))),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB0),Agent (A)))),Nonce (NB),scrypt(SymKey (KAB),Nonce (NB)),(SID sid)]);
iknows(scrypt(SymKey (KAB),pre(Nonce (NB))))

=>
State (rB,[Agent (B),Step 3,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),Nonce (NB0),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Agent (A),Nonce (NB0))),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB0),Agent (A)))),Nonce (NB),scrypt(SymKey (KAB),Nonce (NB)),scrypt(SymKey (KAB),pre(Nonce (NB))),(SID sid)])

step rule_21:
State (rB,[Agent (B),Step 2,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),Nonce (NB0),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Agent (A),Nonce (NB0))),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB0),Agent (A)))),Nonce (NB),scrypt(SymKey (KAB),Nonce (NB)),(SID sid)]);
iknows(SymKey (KAB));
iknows(pre(Nonce (NB)))

=>
State (rB,[Agent (B),Step 3,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),Nonce (NB0),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Agent (A),Nonce (NB0))),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB0),Agent (A)))),Nonce (NB),scrypt(SymKey (KAB),Nonce (NB)),scrypt(SymKey (KAB),pre(Nonce (NB))),(SID sid)])

step rule_22:
State (rB,[Agent (B),Step 2,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),Nonce (NB0),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Agent (A),Nonce (NB0))),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB0),Agent (A)))),Nonce (NB),scrypt(SymKey (KAB),Nonce (NB)),(SID sid)]);
iknows(SymKey (KAB));
iknows(Nonce (NB))

=>
State (rB,[Agent (B),Step 3,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),Nonce (NB0),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Agent (A),Nonce (NB0))),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB0),Agent (A)))),Nonce (NB),scrypt(SymKey (KAB),Nonce (NB)),scrypt(SymKey (KAB),pre(Nonce (NB))),(SID sid)])


section initial state:
init_0: iknows(Nonce (ni));
init_1: iknows(Agent (dishonest i));
init_2: State (rA,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),(SID sid)]);
init_3: State (rA,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),(SID sid)]);
init_4: iknows(Step 0);
init_5: iknows(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))));
init_6: iknows((SID sid));
init_7: iknows(Agent (honest a));
init_8: State (rB,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),(SID sid)]);
init_9: State (rB,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),(SID sid)]);
init_10: State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),(SID sid)]);
init_11: State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),(SID sid)]);
init_12: State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),(SID sid)]);
init_13: State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),(SID sid)]);

section fixedpoint:
fp_0: State (rA,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),(SID sid)]);
fp_1: State (rA,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),(SID sid)]);
fp_2: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))))),(SID sid)]);
fp_3: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))))),(SID sid)]);
fp_4: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (ni))),Nonce (ni),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (ni)))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))))))),(SID sid)]);
fp_5: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (ni))),Nonce (ni),pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))))))),(SID sid)]);
fp_6: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))))))));
fp_7: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))))))));
fp_8: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))))));
fp_9: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))))));
fp_10: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_11: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_12: iknows(pair(Agent (honest a),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))));
fp_13: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_14: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_15: iknows(pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))));
fp_16: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))));
fp_17: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))))));
fp_18: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_19: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),(SID sid)]);
fp_20: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),(SID sid)]);
fp_21: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (ni),pair(Agent (dishonest i),pair(Agent (honest a),pair(Nonce (ni),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))),(SID sid)]);
fp_22: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))))),Nonce (ni),pair(Agent (honest a),pair(Agent (honest a),pair(Nonce (ni),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB0(pair(Agent (honest a),Agent (honest a))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))))))),(SID sid)]);
fp_23: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))))))));
fp_24: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))));
fp_25: iknows(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))));
fp_26: iknows(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))));
fp_27: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))));
fp_28: iknows(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))));
fp_29: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_30: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_31: iknows(pair(Agent (honest a),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))));
fp_32: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_33: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_34: iknows(pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))));
fp_35: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))));
fp_36: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))))));
fp_37: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_38: iknows(pair(Nonce (ni),Agent (dishonest i)));
fp_39: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))));
fp_40: iknows(pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))));
fp_41: iknows(pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))));
fp_42: iknows(pair(Nonce (ni),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_43: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))),(SID sid)]);
fp_44: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))),(SID sid)]);
fp_45: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB0(pair(Agent (honest a),Agent (honest a))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))))))),(SID sid)]);
fp_46: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB0(pair(Agent (honest a),Agent (honest a))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))))))),(SID sid)]);
fp_47: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))))))),(SID sid)]);
fp_48: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))),(SID sid)]);
fp_49: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (ni))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (ni)))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))))))),(SID sid)]);
fp_50: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))))))),(SID sid)]);
fp_51: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))),(SID sid)]);
fp_52: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (ni))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (ni)))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))))))),(SID sid)]);
fp_53: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))),Nonce (ni),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))))))),(SID sid)]);
fp_54: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (ni),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))),(SID sid)]);
fp_55: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))))))),(SID sid)]);
fp_56: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))))))),(SID sid)]);
fp_57: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (ni))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))))))),(SID sid)]);
fp_58: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))))))),(SID sid)]);
fp_59: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))))))),(SID sid)]);
fp_60: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (ni))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))))))),(SID sid)]);
fp_61: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))),Nonce (ni),pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))))))),(SID sid)]);
fp_62: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (ni),pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))))))),(SID sid)]);
fp_63: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))))))));
fp_64: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))))))));
fp_65: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))))))));
fp_66: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))))))));
fp_67: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))))))));
fp_68: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))))))));
fp_69: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))))))));
fp_70: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))))))));
fp_71: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))));
fp_72: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))))))));
fp_73: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))))))));
fp_74: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))));
fp_75: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))))))));
fp_76: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))))))));
fp_77: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))));
fp_78: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))))))));
fp_79: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))))))));
fp_80: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))))))));
fp_81: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))));
fp_82: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))));
fp_83: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))));
fp_84: iknows(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))));
fp_85: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_86: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_87: iknows(pair(Agent (honest a),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))));
fp_88: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_89: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_90: iknows(pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))));
fp_91: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))));
fp_92: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))))));
fp_93: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_94: iknows(pair(Nonce (ni),Agent (dishonest i)));
fp_95: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))));
fp_96: iknows(pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))));
fp_97: iknows(pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))));
fp_98: iknows(pair(Nonce (ni),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_99: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_100: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_101: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))));
fp_102: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))))));
fp_103: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))))));
fp_104: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))));
fp_105: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))));
fp_106: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_107: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_108: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))))));
fp_109: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_110: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_111: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))))));
fp_112: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_113: secret(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i));
fp_114: witness(Agent (honest a),Agent (dishonest i),Purpose (pABNB),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))));
fp_115: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),(SID sid)]);
fp_116: iknows(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))));
fp_117: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))));
fp_118: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))));
fp_119: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_120: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_121: iknows(pair(Agent (honest a),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))));
fp_122: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_123: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_124: iknows(pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))));
fp_125: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))));
fp_126: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))))));
fp_127: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_128: iknows(pair(Nonce (ni),Agent (dishonest i)));
fp_129: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))));
fp_130: iknows(pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))));
fp_131: iknows(pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))));
fp_132: iknows(pair(Nonce (ni),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_133: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_134: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_135: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))));
fp_136: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))))));
fp_137: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))))));
fp_138: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))));
fp_139: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))));
fp_140: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_141: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_142: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))))));
fp_143: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_144: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_145: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))))));
fp_146: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_147: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_148: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_149: iknows(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))));
fp_150: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_151: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_152: iknows(pair(Agent (honest a),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))));
fp_153: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_154: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_155: iknows(pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))));
fp_156: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))));
fp_157: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))))));
fp_158: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_159: iknows(pair(Nonce (ni),Agent (dishonest i)));
fp_160: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))));
fp_161: iknows(pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))));
fp_162: iknows(pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))));
fp_163: iknows(pair(Nonce (ni),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_164: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_165: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_166: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))));
fp_167: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))))));
fp_168: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))))));
fp_169: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))));
fp_170: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))));
fp_171: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_172: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_173: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))))));
fp_174: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_175: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_176: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))))));
fp_177: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_178: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_179: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_180: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))),(SID sid)]);
fp_181: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB0(pair(Agent (honest a),Agent (honest a))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))))))),(SID sid)]);
fp_182: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))),(SID sid)]);
fp_183: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))))))),(SID sid)]);
fp_184: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))),(SID sid)]);
fp_185: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (ni))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (ni)))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))))))),(SID sid)]);
fp_186: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))),(SID sid)]);
fp_187: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))),(SID sid)]);
fp_188: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (ni),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))),(SID sid)]);
fp_189: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))))))),(SID sid)]);
fp_190: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))))))),(SID sid)]);
fp_191: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))))))),(SID sid)]);
fp_192: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (ni))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))))))),(SID sid)]);
fp_193: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))))))),(SID sid)]);
fp_194: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))))))),(SID sid)]);
fp_195: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))),Nonce (ni),pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))))))),(SID sid)]);
fp_196: State (rB,[Agent (honest a),Step 3,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pre(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))),(SID sid)]);
fp_197: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))))))));
fp_198: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))))))));
fp_199: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))))))));
fp_200: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))))))));
fp_201: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))))))));
fp_202: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))))))));
fp_203: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))))))));
fp_204: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))));
fp_205: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))));
fp_206: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))));
fp_207: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))))))));
fp_208: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))));
fp_209: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))))))));
fp_210: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))));
fp_211: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))))))));
fp_212: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))))));
fp_213: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_214: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_215: iknows(pair(Agent (honest a),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))));
fp_216: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_217: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_218: iknows(pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))));
fp_219: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))));
fp_220: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))))));
fp_221: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_222: iknows(pair(Nonce (ni),Agent (dishonest i)));
fp_223: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))));
fp_224: iknows(pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))));
fp_225: iknows(pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))));
fp_226: iknows(pair(Nonce (ni),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_227: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_228: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_229: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))));
fp_230: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))))));
fp_231: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))))));
fp_232: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))));
fp_233: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))));
fp_234: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_235: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_236: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))))));
fp_237: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_238: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_239: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))))));
fp_240: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_241: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_242: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_243: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_244: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))));
fp_245: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))));
fp_246: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_247: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))))));
fp_248: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_249: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_250: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_251: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_252: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_253: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))));
fp_254: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_255: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_256: iknows(pair(Agent (honest a),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))));
fp_257: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_258: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_259: iknows(pair(Agent (honest a),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))));
fp_260: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))));
fp_261: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))))));
fp_262: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_263: iknows(pair(Nonce (ni),Agent (dishonest i)));
fp_264: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))));
fp_265: iknows(pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))));
fp_266: iknows(pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))));
fp_267: iknows(pair(Nonce (ni),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_268: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_269: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_270: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))));
fp_271: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))))));
fp_272: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))))));
fp_273: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))));
fp_274: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))));
fp_275: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_276: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_277: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))))));
fp_278: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_279: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_280: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))))));
fp_281: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_282: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_283: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_284: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB0(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_285: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))));
fp_286: iknows(pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))))));
fp_287: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_288: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))))))));
fp_289: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_290: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))))))));
fp_291: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_292: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_293: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))))))));
fp_294: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_295: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));

section abstraction:
NB0->Nonce (absNB0(pair(B,A)));
NA->Nonce (absNA(pair(A,B)));
KAB->SymKey (absKAB(pair(B,A)));
NB->Nonce (absNB(pair(B,A)))

